Namespace
library
Image / Tag
openjdk:22-ea-26
Content Digest
sha256:33151bfcc62572a623294aacbb674f3ed6ca0996ade5b1ffc05649eb0ae39057
Details
Created

2023-12-06 20:00:51 UTC

Size

259 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-22

JAVA_VERSION

22-ea+26

LANG

C.UTF-8

PATH

/usr/java/openjdk-22/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:e9f2695d7e5b00c4289ec17d08776fb4b6664a9c805294c7d5c364b56d3b9435 - 18.9% (48.9 MB)

[#001] sha256:2ebbf0da9fa600e22c5cd98f435880f2761cb99b69b62426cd495c758cd85ead - 5.53% (14.3 MB)

[#002] sha256:dea9daa735671b25c083594a145bb9a5f8c2c7768049b1a4c463b30418a90f28 - 75.57% (196 MB)


History
2023-12-06 19:23:17 UTC

/bin/sh -c #(nop) ADD file:0fefdd26d1656281881908973318cde9ebc07674dc1098bbf40d9ce6acf2f036 in /

2023-12-06 19:23:18 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-12-06 20:00:36 UTC

/bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all

2023-12-06 20:00:36 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/java/openjdk-22

2023-12-06 20:00:36 UTC

/bin/sh -c #(nop) ENV PATH=/usr/java/openjdk-22/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2023-12-06 20:00:36 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2023-12-06 20:00:36 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=22-ea+26

2023-12-06 20:00:50 UTC

/bin/sh -c set -eux; arch="$(objdump="$(command -v objdump)" && objdump --file-headers "$objdump" | awk -F '[:,]+[[:space:]]+' '$1 == "architecture" { print $2 }')"; case "$arch" in 'i386:x86-64') downloadUrl='https://download.java.net/java/early_access/jdk22/26/GPL/openjdk-22-ea+26_linux-x64_bin.tar.gz'; downloadSha256='65f135f44a1f33848f9d8398b7773807cf90eeec08d6ec8e2a9b44d81b7b6d99'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk22/26/GPL/openjdk-22-ea+26_linux-aarch64_bin.tar.gz'; downloadSha256='3933a8d405ab7f0293ecd4351177e731f1eacd1a96ee3f0528b9157940581ce2'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version

2023-12-06 20:00:51 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Details
Created

2023-12-01 20:16:44 UTC

Size

1.94 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-22

JAVA_SHA256

cf9f95a06a4421a585db7dd80986077b363fab40bf4da90e5599ac03dc15664d

JAVA_URL

https://download.java.net/java/early_access/jdk22/26/GPL/openjdk-22-ea+26_windows-x64_bin.zip

JAVA_VERSION

22-ea+26


Layers

[#000] sha256:7c76e5cf7755ce357ffb737715b0da6799a50ea468cc252c094f4d915d426b3f - 66.52% (1.29 GB)

[#001] sha256:7989ef2c4cfb06d845746a3c3660481ea84d3f5c8216041855ce528f0ac4015c - 23.86% (475 MB)

[#002] sha256:4fbeb193d02c2ca7f9a9ea438fbf1bcdb6ea4a6fea626713330fd1ebb514424f - 0.0% (1.39 KB)

[#003] sha256:c484d21f80984bc956d2a7ca187c7250676fd3af73a362efb91125bb6255aa10 - 0.02% (443 KB)

[#004] sha256:7eaf9eb81e5d07980ecf0f7d31f640ebd53980837baa8588ca770fa56963edd6 - 0.0% (1.29 KB)

[#005] sha256:be91ce40f73c6eaafd338b1fc738f4394dc6542fd074fc12e651a47dfd49e6f3 - 0.01% (257 KB)

[#006] sha256:ed321a44beb049cac4bb4dfd83e945c7bcbb7692f411f052339c7a7bdf724238 - 0.0% (1.31 KB)

[#007] sha256:65aa930089c2c52bd9c28fa9ee3046952efc88063709cd359d8d60337b8c0d50 - 0.0% (1.38 KB)

[#008] sha256:c09cce8909f1b7a5beae97edae42b8645dd8bbc2738e525b72c8c3a3b15ba843 - 0.0% (1.39 KB)

[#009] sha256:99bce153f626cc4d6c36827ac43e3483834e85f318fb143b3acffff2365632c6 - 9.59% (191 MB)

[#010] sha256:a1918cff432422ba2612d1205fc9a2ff0ea3d8b0215bb3a479693f902d43c945 - 0.0% (1.26 KB)


History
2023-06-08 12:55:20 UTC

Apply image 10.0.20348.1787

2023-11-09 06:47:20 UTC

Install update 10.0.20348.2113

2023-11-16 01:36:15 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2023-11-16 05:18:36 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2023-11-16 05:18:37 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-22

2023-11-16 05:18:57 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2023-12-01 20:15:48 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=22-ea+26

2023-12-01 20:15:49 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk22/26/GPL/openjdk-22-ea+26_windows-x64_bin.zip

2023-12-01 20:15:50 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=cf9f95a06a4421a585db7dd80986077b363fab40bf4da90e5599ac03dc15664d

2023-12-01 20:16:43 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2023-12-01 20:16:44 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2023-12-01 20:18:48 UTC

Size

2.1 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-22

JAVA_SHA256

cf9f95a06a4421a585db7dd80986077b363fab40bf4da90e5599ac03dc15664d

JAVA_URL

https://download.java.net/java/early_access/jdk22/26/GPL/openjdk-22-ea+26_windows-x64_bin.zip

JAVA_VERSION

22-ea+26


Layers

[#000] sha256:c9226d61d3bdbf9f09821b32f5878623b8daaa5fb4f875cb63c199f87a26d57e - 73.09% (1.54 GB)

[#001] sha256:4f7bb9e009deb881cb90e8b4318258e03882de9bc9b312b763654b59cd13d0bb - 18.01% (388 MB)

[#002] sha256:ce7a1cc914f0f5e059bfdf02906a6e052b1c97cebaf91eb6c2fd835cfddebda2 - 0.0% (1.39 KB)

[#003] sha256:b93b4cb5d6725beac934401f77fbf989141c12afa232cff1f25429b1a301ba73 - 0.02% (432 KB)

[#004] sha256:a22088bf48f3bbce80960887fe94d86c11b50b864e902347298416ae9c621501 - 0.0% (1.37 KB)

[#005] sha256:7d8f6249f95be0911abdfd12a1f9bc8f3dc024f415c40647b843b72d714e2530 - 0.01% (251 KB)

[#006] sha256:aefff0e71114aa220394ab23af1a154fe23d8037a7f8feb75001a16056dd7819 - 0.0% (1.29 KB)

[#007] sha256:f37f8548020910d38e203d88bec9bd3d26866c7d65c847934c8692168c501c29 - 0.0% (1.26 KB)

[#008] sha256:2110751cfa1717ad0dd2b34bc2b9ce2324a9284d341add67856cfa738017d081 - 0.0% (1.34 KB)

[#009] sha256:c030a03a38746de5cb7c67c31fc0094e7f9156b78293c77b5744f86137722cef - 8.86% (191 MB)

[#010] sha256:8a85a4381564769b044f8bbbf78877ba4f35a6406e44c1b969f470369d54a2ea - 0.0% (1.25 KB)


History
2023-06-08 12:58:24 UTC

Apply image 10.0.17763.4499

2023-11-09 17:56:40 UTC

Install update 10.0.17763.5122

2023-11-16 01:37:58 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2023-11-16 05:21:26 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2023-11-16 05:21:27 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-22

2023-11-16 05:22:38 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2023-12-01 20:16:56 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=22-ea+26

2023-12-01 20:16:57 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk22/26/GPL/openjdk-22-ea+26_windows-x64_bin.zip

2023-12-01 20:16:58 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=cf9f95a06a4421a585db7dd80986077b363fab40bf4da90e5599ac03dc15664d

2023-12-01 20:18:47 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2023-12-01 20:18:48 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2023-12-06 19:59:37 UTC

Size

257 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-22

JAVA_VERSION

22-ea+26

LANG

C.UTF-8

PATH

/usr/java/openjdk-22/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:edfaa6c9daada52a737333e0818f3d697d745aab3f3351e773218a524ebc9e53 - 18.62% (47.8 MB)

[#001] sha256:61d8c428b27054b71203994f8d4e7663f63c8f02b8d84bad3e34d156fbd7c0b2 - 5.83% (15 MB)

[#002] sha256:05481b9b7fa0eb5af731d95c5419908510c4f87965b74fa9480eb150f45114e9 - 75.55% (194 MB)


History
2023-12-06 19:42:27 UTC

/bin/sh -c #(nop) ADD file:f5ee75151bd25b33e72aa4c0560815f35f6e662876bf3733a02e5cb970227358 in /

2023-12-06 19:42:27 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-12-06 19:59:22 UTC

/bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all

2023-12-06 19:59:22 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/java/openjdk-22

2023-12-06 19:59:22 UTC

/bin/sh -c #(nop) ENV PATH=/usr/java/openjdk-22/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2023-12-06 19:59:22 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2023-12-06 19:59:22 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=22-ea+26

2023-12-06 19:59:35 UTC

/bin/sh -c set -eux; arch="$(objdump="$(command -v objdump)" && objdump --file-headers "$objdump" | awk -F '[:,]+[[:space:]]+' '$1 == "architecture" { print $2 }')"; case "$arch" in 'i386:x86-64') downloadUrl='https://download.java.net/java/early_access/jdk22/26/GPL/openjdk-22-ea+26_linux-x64_bin.tar.gz'; downloadSha256='65f135f44a1f33848f9d8398b7773807cf90eeec08d6ec8e2a9b44d81b7b6d99'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk22/26/GPL/openjdk-22-ea+26_linux-aarch64_bin.tar.gz'; downloadSha256='3933a8d405ab7f0293ecd4351177e731f1eacd1a96ee3f0528b9157940581ce2'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version

2023-12-06 19:59:37 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete